
//-------------------------------------------------------------------------------//
// Author: Stefan Lörwald, Universität Heidelberg                                //
// License: CC BY-NC 4.0 http://creativecommons.org/licenses/by-nc/4.0/legalcode //
//-------------------------------------------------------------------------------//

#include "maps.h"
#include "matrix.h"

namespace algorithm
{
   /// Returns a Map in normal form, i.e. without any variables that are eliminated.
   template <typename Integer>
   Maps normalize(Maps, const Equations<Integer>&);
   /// Applies a Map onto an inequality.
   template <typename Integer>
   Inequality<Integer> applyOnInequality(const Map&, const Inequality<Integer>&);
   /// Applies a Map onto a vertex.
   template <typename Integer>
   Vertex<Integer> applyOnVertex(const Map&, const Vertex<Integer>&);
}

#include "algorithm_map_operations.eti"

