
//-------------------------------------------------------------------------------//
// Author: Stefan Lörwald, Universität Heidelberg                                //
// License: CC BY-NC 4.0 http://creativecommons.org/licenses/by-nc/4.0/legalcode //
//-------------------------------------------------------------------------------//

#pragma once

#include <cstddef>

class MessagePassingInterfaceSession;

/// Returns a reference to the MPI session.
MessagePassingInterfaceSession& getMessagePassingInterfaceSession();

class MessagePassingInterfaceSession
{
   public:
      /// Returns true if the node ID is zero.
      bool isMaster() const;
      /// Returns the number of nodes in the setup.
      std::size_t getNumberOfNodes() const;
      friend MessagePassingInterfaceSession& getMessagePassingInterfaceSession();
   private:
      /// Constructor.
      MessagePassingInterfaceSession();
      /// Destructor.
      ~MessagePassingInterfaceSession();
};

