
//-------------------------------------------------------------------------------//
// Author: Stefan Lörwald, Universität Heidelberg                                //
// License: CC BY-NC 4.0 http://creativecommons.org/licenses/by-nc/4.0/legalcode //
//-------------------------------------------------------------------------------//

#pragma once

#include <tuple>

#include "maps.h"
#include "matrix.h"
#include "names.h"

namespace implementation
{
   /// Helper function for facet enumeration with adjacency decomposition.
   template <template <typename> class JobManagerType, typename Integer>
   void adjacencyDecomposition(const std::tuple<ConvexHull<Integer>, Names, Maps>&, const Inequalities<Integer>&, const int, const int);
}

#include "method_adjacency_decomposition_implementation.eti"

